Subject: RE: SDL Perl
From: "John Morrison" <[email-masked]>
To: "Nicholas Wourms" <[email-masked]>, "Gerrit P. Haase" <[email-masked]>
Cc: "Gerrit @ cygwin" <[email-masked]>
Date: Mon, 22 Jul 2002 19:15:15 +0100

> Nicholas Wourms
> --- "Gerrit P. Haase" <[email-masked]> wrote:
> > John schrieb:
> >
> > > Have you ever tried to get the SDL_perl to compile?  I can't figure
> > > it out but I'd love to run frozen-bubble under cygwin :)
> >
> > I tried to get SDL compiled without -mno-cygwin which was a mess.
> > Is there a port available somewhere?  Didn't tried the SDL_perl.
>
> Gerrit,
>
> <rant>
> I know what you mean.  The @#$% author apparently felt that because we use
> cygwin, we automatically want -mno-cygwin!  Why do they assume this?
> Isn't the point of cygwin to provide posix emulation, which -mno-cygwin
> defeats?  Don't we have an XFree?  I say yes to both, which seems to go
> right over the developers' heads.  They get the idea that Cygwin==Mingw32,
> so obviously everything should be compiled with -mno-cygwin!  So annoying,
> because you have to sift through all the ifdef's and configury files just
> to get it to compile as a Cygwin native.  I wasted 3 whole days trying to
> get SDL to compile natively on Cygwin and to use Cygwin/XFree, but I have
> failed miserably.  Too many OS-cenrtic vs. few feature-centric #ifdef's!
> What a headache, my sympathies to you Gerrit.

Would it be worth contacting the author?

> </rant>
>
> Sorry, I had to vent my frustration there...  :-)

Oh - don't worry about that!  Vent away!

J.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/